# $Revision: 1.4 $, $Date: 2009/06/15 09:39:30 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	B
%define	pnam	Keywords
Summary:	B::Keywords - Lists of reserved barewords and symbol names
Summary(pl.UTF-8):	B::Keywords - lista zarezerwowanych słów kluczowych i nazw symboli
Name:		perl-B-Keywords
Version:	1.09
Release:	1
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JJ/JJORE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ac42096fcde918eda4a3c47c9b71e8d5
URL:		http://search.cpan.org/dist/B-Keywords/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
B::Keywords supplies seven arrays of keywords: @Scalars, @Arrays,
@Hashes, @Filehandles, @Symbols, @Functions, and @Barewords. The
@Symbols array includes the contents of each of @Scalars, @Arrays,
@Hashes, and @Filehandles. Similarly, @Barewords adds a few
non-function keywords and operators to the @Functions array.

%description -l pl.UTF-8
B::Keywords udostępnia siedem tablic słów kluczowych: @Scalars,
@Arrays, @Hashes, @Filehandles, @Symbols, @Functions i @Barewords.
Tablica @Symbols obejmuje zawartość każdej z tablic @Scalars,
@Arrays, @Hashes i @Filehandles. Podobnie @Barewords dodaje do
tablicy @Functions kilka słów kluczowych nie będących funkcjami oraz
operatorów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/B/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-B-Keywords.spec,v $
Revision 1.4  2009/06/15 09:39:30  amateja
- updated to 1.09

Revision 1.3  2007/12/19 15:29:43  zbyniu
- up to 1.08

Revision 1.2  2007-03-31 09:47:06  qboosh
- pl

Revision 1.1  2007/03/27 16:32:15  radek
- new
